%define anolis_release 4
%global srcname Jinja2

Name:           python-jinja2
Version:        3.1.3
Release:        %{anolis_release}%{dist}
Summary:        General purpose template engine
License:        BSD
URL:            https://palletsprojects.com/p/jinja/
Source0:        https://files.pythonhosted.org/packages/b2/5e/3a21abf3cd467d7876045335e681d276ac32492febe6d98ad89562d1a7e1/%{srcname}-%{version}.tar.gz

#https://github.com/pallets/jinja/commit/d655030770081e2dfe46f90e27620472a502289d
Patch1: fix-cve-2024-34064.patch

# https://github.com/pallets/jinja/commit/90457bbf33b8662926ae65cdde4c4c32e756e403
Patch2: bugfix-for-cve-2025-27516.patch

%bcond_with docs

BuildArch:      noarch

%global _description %{expand:
Jinja2 is a template engine written in pure Python. It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.

If you have any exposure to other text-based template languages, such
as Smarty or Django, you should feel right at home with Jinja2. It's
both designer and developer friendly by sticking to Python's
principles and adding functionality useful for templating
environments.}

%description %_description

%package -n python3-jinja2
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
%if %{with docs}
BuildRequires:  %{_bindir}/sphinx-build-3
BuildRequires:  make
BuildRequires:  python3-Pallets-Sphinx-Themes >= 2
BuildRequires:  python3-sphinxcontrib-log-cabinet
BuildRequires:  python3-sphinx-issues
%endif

%description -n python3-jinja2 %_description

%pyproject_extras_subpkg -n python3-jinja2 i18n

%package -n python3-jinja2-doc
Summary:        Doc files for python3-jinja2
Requires:       python3-jinja2 = %{version}-%{release}
BuildArch:      noarch

%description -n python3-jinja2-doc
Doc files for python3-jinja2.

%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -x i18n


%build
%pyproject_wheel
%if %{with docs}
make -C docs html PYTHONPATH=$(pwd)/src SPHINXBUILD=sphinx-build-3
# remove hidden file
rm -rvf docs/_build/html/.buildinfo
%endif


%install
%pyproject_install
%pyproject_save_files jinja2


%check
%pytest tests


%files -n python3-jinja2 -f %{pyproject_files}
%doc examples
%license LICENSE.rst
%if %{with docs}
%doc docs/_build/html
%endif

%files -n python3-jinja2-doc
%doc CHANGES.rst

%changelog
* Wed Apr 16 2025 tomcruiseqi <10762123+tomcruiseqi@user.noreply.gitee.com> - 3.1.3-4
- Fix CVE-2025-27516

* Fri Jul 12 2024 yangxinyu <yangxinyu@nfschina.com> - 3.1.3-3
- fix-cve-2024-34064

* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 3.1.3-2
- Rebuild with python3.11

* Thu Jan 11 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.1.3-1
- update to 3.1.3

* Tue Apr 04 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.1.2-2
- disable docs

* Wed Jan 04 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.1.2-1
- update to version 3.1.2

* Tue Apr 19 2022 Zhongling He <zhonglingh@linux.alibaba.com> 3.1.1-1
- Init package from upstream v3.1.1
